body {
  background-color: #020d1a;
  color: #fff;
  font-family: Arial, sans-serif;
  display: flex;
  height: 100vh;
  margin: 0;
}

.container {
  display: flex;
  height: 100vh;
  margin-top: 3rem;
  padding: 1rem 2.5rem;
}

/* sidebar_inbox styling */
.sidebar_inbox {
  width: 250px;
  background-color: #020d1a;
  color: white;
  padding: 20px;
  transition: transform 0.3s ease;
  border-right: 1px solid #303038;
}

.sidebar_inbox ul {
  list-style: none;
}

.sidebar_inbox ul li {
  margin: 15px 0;
}

.sidebar_inbox ul li a {
  color: white;
  text-decoration: none;
  display: flex;
  align-items: center;
  height: 40px;
  gap: 10px;
  width: 100%;
  padding: 10px 20px;
  font-size: 14px;
  border-radius: 6px;
  font-weight: 500;
}

.sidebar_inbox ul li a:hover {
  background-color: #374151;
}

/* Main content styling */
.main-content {
  flex: 1;
  padding: 20px;
  background-color: #020d1a;
  color: white;
  transition: margin-left 0.3s ease;
  padding: 30px;
}

header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.toggle-btn {
  font-size: 24px;
  width: 60px;
  height: 60px;
  background-color: #303038;
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  display: none;
  /* Hidden on larger screens */
  border-radius: 50%;
}

.compose_message {
  width: 100%;
  height: 40px;
  display: flex;
  align-items: center;
  border-radius: 8px;
  font-size: 12px;
  font-weight: 600;
  padding-left: 20px;
  gap: 10px;
  background-color: #303038;
  color: white;
  border: none;
  margin-bottom: 30px;
  cursor: pointer;
  margin-top: 30px;
}

.main_header_container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding-left: 20px;
  padding-right: 20px;
  height: 60px;
  border-bottom: 1px solid #303038;
}

.main_header_left {
  display: flex;
  gap: 20px;
  align-items: center;
}

.main_header_left>i {
  cursor: pointer;
}

.main_header_left input[type="checkbox"] {
  margin-right: 10px;
  width: 16px;
  height: 16px;
  opacity: 0.1;
  cursor: pointer;
  border: 2px solid white;
}

.main_header_left input[type="checkbox"]:hover {
  opacity: 0.2;
}

.main_header_left input[type="checkbox"]:checked {
  opacity: 1;
}

.main_header_right {
  box-sizing: border-box;
  display: flex;
  align-items: center;
  gap: 10px;

}

.main_header_right input {
  box-sizing: border-box;
  background-color: transparent;
  border: none;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
  padding-right: 10px;
  color: white;
}

table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
  border-radius: 6px 6px 0 0;
}


th,
td {
  padding: 14px 15px;
  text-align: left;

}

th {
  background-color: #303038;
  color: #ddd;
  border-radius: 6px 6px 0 0;
}

td {
  border-top: 1px solid #303038;
  align-items: center;
  font-size: 12px !important;
}



tr:hover {
  background-color: #303038;
  border-radius: 4px;
}

.first_td {
  display: flex;
  align-items: center;
  gap: 10px;
}

.first_td i,
input {
  cursor: pointer;
}

.date_small_screen {
  display: none;
}

.email-list {
  overflow: auto;
}

.compose_message_li {
  display: none;
}

/* Media query for small screens */
@media (max-width: 948px) {
  .sidebar_inbox {
    width: 100%;
    height: auto;
    position: relative;
    padding: 10px 20px;
  }

  .container {
    flex-direction: column;
  }

  .main-content {
    width: 100%;
  }

  header {
    flex-direction: column;
    align-items: baseline;
    justify-content: baseline;
  }

  .main_header_container {
    padding-left: 0;
    padding-right: 0;
  }

  .main_header_left input[type="checkbox"] {
    margin-right: 0;
  }

  .main_header_left {
    gap: 10px;
  }

  .text_desc {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 150px;
  }

  .sidebar_inbox ul {
    display: flex;
    overflow: hidden;
    overflow-x: scroll;
    align-items: center;
    justify-content: space-between;
  }

  .sidebar_inbox ul::-webkit-scrollbar-track {
    background-color: transparent;
  }

  .compose_message {
    display: none;
  }

  .sidebar_inbox ul li a:hover {
    background-color: transparent;
  }

  .new_chat {
    display: flex;
    gap: 10px;
  }

  .compose_message_li {
    background-color: #924813;
    padding: 10px 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 8px;
    gap: 10px;
    color: white;
  }


  th,
  td {
    font-size: 10px;
  }

  .date_small_screen {
    font-size: 10px;
  }

  .first_td i,
  input {
    width: 11px;
  }

  .first_td i {
    width: 11px;
  }

  .first_td {
    gap: 5px;
  }

  .main_header_container {
    height: 50px;
  }
}

@media screen and (max-width: 583px) {
  .date_small_screen {
    display: flex;
  }

  .date_large_screen {
    display: none;
  }
}

